Page MenuHomePhabricator

[libTooling] Add "switch"-like Stencil combinator
ClosedPublic

Authored by ymandel on Oct 13 2021, 5:33 AM.

Details

Summary

Adds selectBound, a Stencil combinator that allows the user to supply multiple alternative cases, discriminated by bound node IDs.

This patch was authored primarily by Zie Weaver<zearen@google.com>.

Diff Detail

Event Timeline

ymandel requested review of this revision.Oct 13 2021, 5:33 AM
ymandel created this revision.
Herald added a project: Restricted Project. · View Herald TranscriptOct 13 2021, 5:33 AM
tdl-g accepted this revision.Oct 14 2021, 7:08 AM
This revision is now accepted and ready to land.Oct 14 2021, 7:08 AM
This revision was landed with ongoing or failed builds.Oct 14 2021, 9:46 AM
This revision was automatically updated to reflect the committed changes.
ymandel edited the summary of this revision. (Show Details)Oct 18 2021, 7:18 AM